# Interface SearchComponentDatasource

#### Hierarchy

- SearchComponentDatasource

- Defined in src/options.js:802

#####
Index

### Properties

bloodhoundOptions
datasetTitle
groupActions
groupValues
labelKey
projection
typeaheadDatasetOptions
url

## Properties

### bloodhoundOptions

bloodhoundOptions: BloodhoundOptions<FeatureCollection<Geometry, {
[name: string]: any;
}>>

The optional Bloodhound configuration for this data set. See: https://github.com/twitter/typeahead.js/blob/master/doc/bloodhound.md

- Defined in src/options.js:803

### datasetTitle

datasetTitle: string

- Defined in src/options.js:816

### groupActions

groupActions: SearchAction[]

List of allowed actions. The list may contain a combination of `add_theme`, `add_group` or `add_layer`

- Defined in src/options.js:809

### groupValues

groupValues: string[]

Possible values for the 'layer_name' key. Used to define groups of dataset.

- Defined in src/options.js:807

### labelKey

labelKey: string

The name of a corresponding GeoJSON property key in the current dataset. The bound value of this property key will be used as label.

- Defined in src/options.js:805

### projection

projection: string

The geometry's projection for this set of data.

- Defined in src/options.js:811

### typeaheadDatasetOptions

typeaheadDatasetOptions: Dataset<Feature<Geometry>>

The optional Twitter.Typeahead. configuration for this dataset. See: https://github.com/twitter/typeahead.js/blob/master/

- Defined in src/options.js:812

### url

url: string

URL of the search service. Must contain a '%QUERY' term that will be replaced by the input string.

- Defined in src/options.js:814

Generated using TypeDoc